Subject: Re[2]: trouble using M-x grep

From: [email-masked] (David S. Rosinger)
Date: Wed, 20 Nov 96 18:25:49 EST

Joachim,

I believe you are having trouble with the Cygnus version
of grep because the Cygnus programs do not recognize
drive letters.  (Instead, they supply a `mount' command to
map a virtual partition to a drive letter.)

I am using another 32-bit grep which I got from
the Virtunix site:

    ftp://ftp.itribe.net/pub/virtunix/gnugrep.zip

This version *does* understand drive letters.

Windows NT also supplies a program named `findstr' which
behaves much like grep.  I believe you can redefine the
Emacs variable `grep-command' to use `findstr' instead
of `grep'.

>  > I had lots of troubles with grep, too, until I added this to my
>  > .emacs:
> 
>  >       (setq win32-quote-process-args t)
> 
>  > Wow!  What a difference! ;-)
> 
>  > See if that works.
> 
> This did not help in my case.  Can someone summarize what needs to be done to
> make grep, egrep or fgrep work in NTEMACS?

-- 
+------------------------------------------------+
| David S. Rosinger         /  [email-masked] |
| Intergraph Corporation   /   (703) 264-5737    |
+------------------------------------------------+